Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibatis.jpetstore.persistence.sqlmapdao
Class ItemSqlMapDao

    java.lang.Object
      com.ibatis.dao.client.template.DaoTemplate
          com.ibatis.dao.client.template.SqlMapDaoTemplate
              com.ibatis.jpetstore.persistence.sqlmapdao.BaseSqlMapDao
                  com.ibatis.jpetstore.persistence.sqlmapdao.ItemSqlMapDao

All Implemented Interfaces:
  com.ibatis.dao.client.Dao, ItemDao, com.ibatis.sqlmap.client.SqlMapExecutor

public class ItemSqlMapDao
extends BaseSqlMapDao
implements ItemDao

Field Summary

Fields inherited from class com.ibatis.jpetstore.persistence.sqlmapdao.BaseSqlMapDao
`PAGE_SIZE`

Fields inherited from class com.ibatis.dao.client.template.DaoTemplate
`daoManager`

Constructor Summary
`ItemSqlMapDao(com.ibatis.dao.client.DaoManager daoManager)`

Method Summary
`Item` | `getItem(String itemId)`
`com.ibatis.common.util.PaginatedList` | `getItemListByProduct(String productId)`
`boolean` | `isItemInStock(String itemId)`
`void` | `updateQuantity(Order order)`

Methods inherited from class com.ibatis.dao.client.template.SqlMapDaoTemplate
`delete, executeBatch, getSqlMapExecutor, getSqlMapTransactionManager, insert, queryForList, queryForList, queryForMap, queryForMap, queryForObject, queryForObject, queryForPaginatedList, queryWithRowHandler, startBatch, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ItemSqlMapDao

    public ItemSqlMapDao(com.ibatis.dao.client.DaoManager daoManager)

Method Detail

### updateQuantity

    public void updateQuantity(Order order)

  Specified by:
    `updateQuantity` in interface `ItemDao`

### isItemInStock

    public boolean isItemInStock(String itemId)

  Specified by:
    `isItemInStock` in interface `ItemDao`

### getItemListByProduct

    public com.ibatis.common.util.PaginatedList getItemListByProduct(String productId)

  Specified by:
    `getItemListByProduct` in interface `ItemDao`

### getItem

    public Item getItem(String itemId)

  Specified by:
    `getItem` in interface `ItemDao`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.